;File: adc42cfg.a51
;Author: Eckart Hartmann Date:17/10/2003
 ; Development progress: Adc842.df

;AdcCfg==========Configure converter.
;C Function prototype: char AdcCfg(char cCfg);
;Description of Function: Configures ADC by writing cCfg to ADCCON1.
;User interface: Set the bits in cCfg as desired.
;		See data sheet for meaning of individual bits.
;		Call AdcCfg() to write cCfg to ADCCON1.
;		Returns 1.
;Robustness:
;Side effects: Stops any conversion in progress.
;
NAME ADCCFG
$NOMOD51
 $IC(..kei842.inc) ; Parameter passing registers for Keil .
 $IC(..kei842.dat) ; SFR definition for Keil .
;
public _AdcCfg

?PR?_AdcCfg?ADCCFG	SEGMENT CODE
	RSEG	?PR?_AdcCfg?ADCCFG

_AdcCfg:
	mov	ADCCON1,cP1l	;Set configuration.
	mov	cP1l,#1
	ret
;
;Function End==========================================================Function End
END

