;Functions: Keil specific definitions.

;File: Keil842.inc

;Author: Eckart Hartmann Date:16/10/2003

;Description of Software: None.

;Development progress: None.

;

;Interface Signals:

;==================

;Naming scheme:

;	c = 1 byte, i = 2 byte, l = 4 byte, p = 3 byte pointer.

;	First digit = type of variable.

;	Second digit = P.

;	Third digit = parameter number.

;	Fourth digit = byte of parameter.

;	Fifth digit = if any then type of first parameter.

;	Sixth digit = if any then type of second parameter.

;

cP1l	equ	r7		;Byte parameter1 and return value.

iP1l	equ	r7		;Integer parameter1 and return value low byte.

iP1h	equ	r6		;Integer parameter1 and return value high byte.

lP1l	equ	r7		;Long parameter1 and return value low byte.

lP1s	equ	r6		;Long parameter1 and return value second byte.

lP1t	equ	r5		;Long parameter1 and return value third byte.

lP1h	equ	r4		;Long parameter1 and return value high byte.

pP1t	equ	r3		;Pointer parameter1 type byte.

pP1h	equ	r2		;Pointer parameter1 high byte.

pP1l	equ	r1		;Pointer parameter1 low byte.



cP2li	equ	r5		;Byte parameter2 after integer.

iP2li	equ	r5		;Integer parameter2 low byte after integer.

iP2hi	equ	r4		;Integer parameter2 high byte after integer.

lP2li	equ	r7		;Long parameter2 low byte after integer.

lP2si	equ	r6		;Long parameter2 second byte after integer.

lP2ti	equ	r5		;Long parameter2 third byte after integer.

lP2hi	equ	r4		;Long parameter2 high byte after integer.

pP2ti	equ	r3		;Pointer parameter2 type byte after integer.

pP2hi	equ	r2		;Pointer parameter2 high byte after integer.

pP2li	equ	r1		;Pointer parameter2 low byte after integer.

cP2lc	equ	r5		;Byte parameter2 after byte.

iP2lc	equ	r5		;Integer parameter2 low byte after byte.

iP2hc	equ	r4		;Integer parameter2 high byte after byte.

lP2lc	equ	r7		;Long parameter2 low byte after byte.

lP2sc	equ	r6		;Long parameter2 second byte after byte.

lP2tc	equ	r5		;Long parameter2 third byte after byte.

lP2hc	equ	r4		;Long parameter2 high byte after byte.

pP2tc	equ	r3		;Pointer parameter2 type byte after byte.

pP2hc	equ	r2		;Pointer parameter2 high byte after byte.

pP2lc	equ	r1		;Pointer parameter2 low byte after byte.

cP2lp	equ	r5		;Byte parameter2 after pointer.

iP2lp	equ	r5		;Integer parameter2 low byte after pointer.

iP2hp	equ	r4		;Integer parameter2 high byte after pointer.

lP2lp	equ	r7		;Long parameter2 low byte after pointer.

lP2sp	equ	r6		;Long parameter2 second byte after pointer.

lP2tp	equ	r5		;Long parameter2 third byte after pointer.

lP2hp	equ	r4		;Long parameter2 high byte after pointer.



cP3lii	equ	r3		;Byte parameter3 after integer and integer.

iP3lii	equ	r3		;Integer parameter3 low byte after integer and integer.

iP3hii	equ	r2		;Integer parameter3 high byte after integer and integer.

pP3tii	equ	r3		;Pointer parameter3 type byte after integer and integer.

pP3hii	equ	r2		;Pointer parameter3 high byte after integer and integer.

pP3lii	equ	r1		;Pointer parameter3 low byte after integer and integer.

cP3lic	equ	r3		;Byte parameter3 after integer and byte.

iP3lic	equ	r3		;Integer parameter3 low byte after integer and byte.

iP3hic	equ	r2		;Integer parameter3 high byte after integer and byte.

pP3tic	equ	r3		;Pointer parameter3 type byte after integer and byte.

pP3hic	equ	r2		;Pointer parameter3 high byte after integer and byte.

pP3lic	equ	r1		;Pointer parameter3 low byte after integer and byte.

cP3lci	equ	r3		;Byte parameter3 after integer and integer.

iP3lci	equ	r3		;Integer parameter3 low byte after byte and integer.

iP3hci	equ	r2		;Integer parameter3 high byte after byte and integer.

pP3tci	equ	r3		;Pointer parameter3 type byte after byte and integer.

pP3hci	equ	r2		;Pointer parameter3 high byte after byte and integer.

pP3lci	equ	r1		;Pointer parameter3 low byte after byte and integer.

cP3lcc	equ	r3		;Byte parameter3 after integer and integer.

iP3lcc	equ	r3		;Integer parameter3 low byte after byte and byte.

iP3hcc	equ	r2		;Integer parameter3 high byte after byte and byte.

pP3tcc	equ	r3		;Pointer parameter3 type byte after byte and byte.

pP3hcc	equ	r2		;Pointer parameter3 high byte after byte and byte.

pP3lcc	equ	r1		;Pointer parameter3 low byte after byte and byte.

;

;Keil842.inc end==============================================Keil842.inc end

;



